unit defaultu;

// Copyright (c) 1999 by Ziff-Davis, Inc.
// Written by Neil J. Rubenking

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, ExtCtrls, hdobjs;

type
  TDefaultForm = class(TForm)
    lvDefs      : TListView;
    Splitter1   : TSplitter;
    reProps     : TRichEdit;
    Panel1      : TPanel;
      btnOK     : TButton;
      btnCancel : TButton;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure lvDefsClick(Sender: TObject);
  private
    { Private declarations }
    IniName : String;
  public
    { Public declarations }
    function GetTheObj : TJunkFileObj;
  end;

var
  DefaultForm: TDefaultForm;

implementation

uses inifiles, allfuncs, mainu;

{$R *.DFM}

procedure TDefaultForm.FormCreate(Sender: TObject);
begin
  IniName := ChangeFileExt(Application.ExeName, '.INI');
  GetPosFmINI(IniName, Self, True);
  WITH TIniFile.Create(IniName) DO
  try
    lvDefs.Width := ReadInteger(Self.Name + ' Settings',
      'ListWidth', 200);
  finally
    Free;
  end;
  AddAllDefaults(lvDefs, HDForm.RecycleBinProblem);
  lvDefs.CheckBoxes := False;
  IF lvDefs.Items.Count > 0 THEN
    begin
      lvDefs.Selected := lvDefs.Items[0];
      lvDefsClick(lvDefs);
    end;
end;

procedure TDefaultForm.FormDestroy(Sender: TObject);
begin
  SetPosToINI(IniName, Self, True);
  WITH TIniFile.Create(IniName) DO
  try
    WriteInteger(Self.Name + ' Settings', 'ListWidth', lvDefs.Width);
  finally
    Free;
  end;
end;

function TDefaultForm.GetTheObj: TJunkFileObj;
begin
  WITH TJunkFileObj(lvDefs.Selected.Data) DO
  Result := TJunkFileObj.Create(TJunkFileObj(lvDefs.Selected.Data));
end;

procedure TDefaultForm.lvDefsClick(Sender: TObject);
begin
  btnOk.Enabled := lvDefs.Selected <> nil;
  IF lvDefs.Selected = nil THEN Exit;
  TJunkFileObj(lvDefs.Selected.Data).REDisplay(reProps);
end;

end.
 
